<template>
  <div class="message text-left" :class="{ mine: message.from === user._id }"
    :title="date">
    {{ message.text }}
  </div>
</template>

<script>
import { mapState } from 'vuex';

export default {
  props: {
    message: Object,
  },
  computed: {
    ...mapState(['user']),
    date() {
      let d = new Date(this.$props.message.createdAt);
      return d.toLocaleString();
    },
  }
};
</script>

<style scoped>

.message {
  align-self: flex-start;
  flex-shrink: 0;

  padding: .25em .5em;
  border-radius: 6px;
  margin: .25em 1em;

  background: var(--color-light-gray);
  max-width: 80%;

  display: block;

  overflow: hidden;
  word-wrap: break-word;

  text-align: left;
}

.message.mine {
  align-self: flex-end;
  background: var(--color-pink);
  color: white;
}

</style>
